Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape.Views/HeuristicLab.Analysis.FitnessLandscape.Views.csproj
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape.Views/HeuristicLab.Analysis.FitnessLandscape.Views.csproj	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape.Views/HeuristicLab.Analysis.FitnessLandscape.Views.csproj	(revision 16573)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Analysis.FitnessLandscape.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis.FitnessLandscape.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/EvolvabilityAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/EvolvabilityAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/EvolvabilityAnalyzer.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Algorithms {
 
   [Item("EvolvabilityAnalyzer", "Analyzes and consolidates repeated (very short) trails to evolvability metrics.")]
-  [StorableClass]
+  [StorableType("446A5494-B5EE-4C52-B6AE-B1B37E3E5E4D")]
   public class EvolvabilityAnalyzer : SingleSuccessorOperator, IRepeatsAnalyzer {
 
@@ -49,5 +50,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EvolvabilityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected EvolvabilityAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected EvolvabilityAnalyzer(EvolvabilityAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public EvolvabilityAnalyzer() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysis.cs	(revision 16573)
@@ -31,9 +31,10 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Local Analysis", "A local analysis algorithm.")]
   [Creatable("Algorithms")]
-  [StorableClass]
+  [StorableType("533E9F86-9195-4C03-972A-B8C49E1C15BD")]
   public sealed class LocalAnalysis : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -90,5 +91,5 @@
 
     [StorableConstructor]
-    private LocalAnalysis(bool deserializing) : base(deserializing) { }
+    private LocalAnalysis(StorableConstructorFlag _) : base(_) { }
     private LocalAnalysis(LocalAnalysis original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysisMainLoop.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysisMainLoop.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/LocalAnalysisMainLoop.cs	(revision 16573)
@@ -29,4 +29,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Selection;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
@@ -35,5 +36,5 @@
   /// </summary>
   [Item("LocalAnalysisMainLoop", "An operator which represents the main loop of a best improvement local search (if only a single move is generated in each iteration it is a first improvement local search).")]
-  [StorableClass]
+  [StorableType("D1B3518C-6A0A-4123-893E-0D4C89DA056C")]
   public class LocalAnalysisMainLoop : AlgorithmOperator {
 
@@ -72,5 +73,5 @@
 
     [StorableConstructor]
-    protected LocalAnalysisMainLoop(bool deserializing) : base(deserializing) { }
+    protected LocalAnalysisMainLoop(StorableConstructorFlag _) : base(_) { }
     protected LocalAnalysisMainLoop(LocalAnalysisMainLoop original, Cloner cloner) : base(original, cloner) { }
     public LocalAnalysisMainLoop()
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatMultiAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatMultiAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatMultiAnalyzer.cs	(revision 16573)
@@ -28,8 +28,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("RepeatMultiAnalyzer", "A collection of analyzers for consolidating repeats.")]
-  [StorableClass]
+  [StorableType("D65FCC67-534C-4C05-85DE-1D837D0D8F11")]
   public class RepeatMultiAnalyzer : CheckedMultiOperator<IRepeatsAnalyzer>, IAnalyzer {
     public bool EnabledByDefault {
@@ -42,5 +44,5 @@
 
     [StorableConstructor]
-    protected RepeatMultiAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RepeatMultiAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RepeatMultiAnalyzer(RepeatMultiAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedInformationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedInformationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedInformationAnalyzer.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Algorithms {
 
   [Item("RepeatedInformationAnalyzer", "Analyzes and consolidates repeated information analyses.")]
-  [StorableClass]
+  [StorableType("A53A3F9B-BC38-47E9-B435-42DEA10A4ABC")]
   public class RepeatedInformationAnalyzer : SingleSuccessorOperator, IRepeatsAnalyzer {
 
@@ -44,5 +45,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RepeatedInformationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RepeatedInformationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RepeatedInformationAnalyzer(RepeatedInformationAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public RepeatedInformationAnalyzer() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedLocalAnalysis.cs	(revision 16573)
@@ -33,9 +33,10 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Repeated Local Analysis", "A local analysis algorithm restarted several times.")]
   [Creatable("Algorithms")]
-  [StorableClass]
+  [StorableType("F70D7A4D-821A-4D2F-9A15-C18628D2060F")]
   public sealed class RepeatedLocalAnalysis : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -107,5 +108,5 @@
 
     [StorableConstructor]
-    private RepeatedLocalAnalysis(bool deserializing) : base(deserializing) { }
+    private RepeatedLocalAnalysis(StorableConstructorFlag _) : base(_) { }
     private RepeatedLocalAnalysis(RepeatedLocalAnalysis original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedRuggednessAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedRuggednessAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedRuggednessAnalyzer.cs	(revision 16573)
@@ -9,4 +9,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Algorithms {
@@ -14,5 +15,5 @@
 
   [Item("RepeatedRuggednessAnalyzer", "Analyzes and consolidates repeated ruggedness analyses.")]
-  [StorableClass]
+  [StorableType("CB5A6876-CC84-4D00-9E1C-65A537A3EC92")]
   public class RepeatedRuggednessAnalyzer : SingleSuccessorOperator, IRepeatsAnalyzer {
 
@@ -61,5 +62,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RepeatedRuggednessAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RepeatedRuggednessAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RepeatedRuggednessAnalyzer(RepeatedRuggednessAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public RepeatedRuggednessAnalyzer() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedUpDownWalkAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedUpDownWalkAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/RepeatedUpDownWalkAnalyzer.cs	(revision 16573)
@@ -9,9 +9,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Algorithms {
 
   [Item("RepeatedUpDownWalkAnalyzer", "Analyzes and consolidates repeated up down walk analyses.")]
-  [StorableClass]
+  [StorableType("1B832D9F-7D75-41AB-94D1-D638F4067CC0")]
   public class RepeatedUpDownWalkAnalyzer : SingleSuccessorOperator, IRepeatsAnalyzer {
 
@@ -48,5 +49,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RepeatedUpDownWalkAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RepeatedUpDownWalkAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RepeatedUpDownWalkAnalyzer(RepeatedUpDownWalkAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public RepeatedUpDownWalkAnalyzer() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/ScopeDuplicator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/ScopeDuplicator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Algorithms/ScopeDuplicator.cs	(revision 16573)
@@ -6,9 +6,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Algorithms {
 
   [Item("ScopeDuplicator", "Places clones of the first sub-scope as sub-scopes into n newly created scopes.")]
-  [StorableClass]
+  [StorableType("99032F61-ACCD-4312-8602-71C7D8787391")]
   public class ScopeDuplicator : SingleSuccessorOperator {
 
@@ -27,5 +28,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected ScopeDuplicator(bool deserializing) : base(deserializing) { }
+    protected ScopeDuplicator(StorableConstructorFlag _) : base(_) { }
     protected ScopeDuplicator(ScopeDuplicator original, Cloner cloner) : base(original, cloner) { }
     public ScopeDuplicator()
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs	(revision 16573)
@@ -7,9 +7,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Aggregator", "Base class of aggreagtors that aggregate results collected from several trajectories.")]
-  [StorableClass]
+  [StorableType("9C6131AD-6544-4792-9223-9DABA3E52074")]
   public abstract class Aggregator<T> : NamedItem, IAggregator where T : class, IItem {
 
@@ -20,5 +21,5 @@
 
     [StorableConstructor]
-    protected Aggregator(bool deserializing) : base(deserializing) { }
+    protected Aggregator(StorableConstructorFlag _) : base(_) { }
     protected Aggregator(Aggregator<T> original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/AutoCorrelationAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/AutoCorrelationAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/AutoCorrelationAggregator.cs	(revision 16573)
@@ -12,13 +12,14 @@
 using System.Drawing;
 using HeuristicLab.Analysis.FitnessLandscape.Analysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Auto Correlation Aggregator", "Aggregates auto correlation analyses.")]
-  [StorableClass]
+  [StorableType("969A27FA-5E06-4945-BCA2-87FD869F02A4")]
   public class AutoCorrelationAggregator : Aggregator<AutoCorrelationTable> {
 
     [StorableConstructor]
-    protected AutoCorrelationAggregator(bool deserializing) : base(deserializing) { }
+    protected AutoCorrelationAggregator(StorableConstructorFlag _) : base(_) { }
     protected AutoCorrelationAggregator(AutoCorrelationAggregator original, Cloner cloner) : base(original, cloner) { }
     public AutoCorrelationAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/BoundingBoxAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/BoundingBoxAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/BoundingBoxAggregator.cs	(revision 16573)
@@ -6,13 +6,14 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("BoundingBox Aggregator", "Aggregates bounding boxes")]
-  [StorableClass]
+  [StorableType("E6E3FEEA-AEA5-4B6B-87CF-A0AFEF26D9FD")]
   public class BoundingBoxAggregator : Aggregator<DoubleMatrix> {
 
     [StorableConstructor]
-    protected BoundingBoxAggregator(bool deserializing) : base(deserializing) { }
+    protected BoundingBoxAggregator(StorableConstructorFlag _) : base(_) { }
     protected BoundingBoxAggregator(BoundingBoxAggregator original, Cloner cloner) : base(original, cloner) { }
     public BoundingBoxAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs	(revision 16573)
@@ -9,9 +9,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Common.Resources;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Evolvability Aggregator", "Aggregates evolvability values into an evolvability portrait.")]
-  [StorableClass]
+  [StorableType("B1471271-C89E-47A9-A0A1-4F0D64468F39")]
   public class EvolvabilityAggregator : NamedItem, IAggregator {
 
@@ -40,5 +41,5 @@
     #region Construction and Cloning
     [StorableConstructor]
-    protected EvolvabilityAggregator(bool deserializing) : base(deserializing) { }
+    protected EvolvabilityAggregator(StorableConstructorFlag _) : base(_) { }
     protected EvolvabilityAggregator(EvolvabilityAggregator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisAggregator.cs	(revision 16573)
@@ -8,13 +8,14 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("InformationAnalysis Aggregator", "Aggregates information anlyses.")]
-  [StorableClass]
+  [StorableType("30A0DDD6-CF94-4061-95C2-5717617EB7C1")]
   public class InformationAnalysisAggregator : Aggregator<InformationAnalysisTable> {
 
     [StorableConstructor]
-    protected InformationAnalysisAggregator(bool deserializing) : base(deserializing) { }
+    protected InformationAnalysisAggregator(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalysisAggregator(InformationAnalysisAggregator original, Cloner cloner) : base(original, cloner) { }
     public InformationAnalysisAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisPeakAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisPeakAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisPeakAggregator.cs	(revision 16573)
@@ -9,13 +9,14 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("InformationAnalysis Peak Aggregator", "Aggregates peak information anlyses.")]
-  [StorableClass]
+  [StorableType("BDB8568B-EBF5-437C-81C2-C68F77C3FCEF")]
   public class InformationAnalysisPeakAggregator : Aggregator<InformationAnalysisTable> {
 
     [StorableConstructor]
-    protected InformationAnalysisPeakAggregator(bool deserializing) : base(deserializing) { }
+    protected InformationAnalysisPeakAggregator(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalysisPeakAggregator(InformationAnalysisPeakAggregator original, Cloner cloner) : base(original, cloner) { }
     public InformationAnalysisPeakAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Common.Resources;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("InformationAnalysisValue Aggregator", "Aggregates information anlysis values.")]
-  [StorableClass]
+  [StorableType("829CDE87-6290-42AE-93EF-5095B52AD6FF")]
   public class InformationAnalysisValueAggregator : NamedItem, IAggregator {
 
@@ -35,5 +36,5 @@
     #region Construction and Cloning
     [StorableConstructor]
-    protected InformationAnalysisValueAggregator(bool deserializing) : base(deserializing) { }
+    protected InformationAnalysisValueAggregator(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalysisValueAggregator(InformationAnalysisValueAggregator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationStabilityAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationStabilityAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationStabilityAggregator.cs	(revision 16573)
@@ -12,13 +12,14 @@
 using System.Drawing;
 using HeuristicLab.Analysis.FitnessLandscape.Analysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Information Stability Aggregator", "Aggregates information stability analyses.")]
-  [StorableClass]
+  [StorableType("0E2319B7-EB74-4363-A89F-26A3517CB7F7")]
   public class InformationStabilityAggregator : Aggregator<InformationStabilityTable> {
 
     [StorableConstructor]
-    protected InformationStabilityAggregator(bool deserializing) : base(deserializing) { }
+    protected InformationStabilityAggregator(StorableConstructorFlag _) : base(_) { }
     protected InformationStabilityAggregator(InformationStabilityAggregator original, Cloner cloner) : base(original, cloner) { }
     public InformationStabilityAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/QualityTrailSummaryAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/QualityTrailSummaryAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/QualityTrailSummaryAggregator.cs	(revision 16573)
@@ -5,13 +5,14 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("QualityTrailSummary Aggregator", "Aggregates quality trail summaries.")]
-  [StorableClass]
+  [StorableType("B07DD0C5-AAA2-46C4-8BF2-64EB07951985")]
   public class QualityTrailSummaryAggregator : Aggregator<QualityTrailSummaryTable> {
 
     [StorableConstructor]
-    protected QualityTrailSummaryAggregator(bool deserializing) : base(deserializing) { }
+    protected QualityTrailSummaryAggregator(StorableConstructorFlag _) : base(_) { }
     protected QualityTrailSummaryAggregator(QualityTrailSummaryAggregator original, Cloner cloner) : base(original, cloner) { }
     public QualityTrailSummaryAggregator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs	(revision 16573)
@@ -12,9 +12,10 @@
 using System.Drawing;
 using HeuristicLab.Analysis.FitnessLandscape.Analysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Ruggedness Aggregator", "Aggregates scalar ruggedness analyses.")]
-  [StorableClass]
+  [StorableType("03C63217-F50F-4111-B978-DF83ADC5DDBE")]
   public class RuggednessAggregator : NamedItem, IAggregator {
 
@@ -27,5 +28,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RuggednessAggregator(bool deserializing) : base(deserializing) { }
+    protected RuggednessAggregator(StorableConstructorFlag _) : base(_) { }
     protected RuggednessAggregator(RuggednessAggregator original, Cloner cloner) : base(original, cloner) {
       autocorrelations = original.autocorrelations.ToList();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/UpDownAggregatorAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/UpDownAggregatorAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/UpDownAggregatorAggregator.cs	(revision 16573)
@@ -12,9 +12,10 @@
 using System.Drawing;
 using HeuristicLab.Analysis.FitnessLandscape.Analysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("Up Down Aggregator", "Aggregates scalar up down analyses.")]
-  [StorableClass]
+  [StorableType("597E3537-ADE8-4B7A-A34B-AD6AF105493F")]
   public class UpDownAggregator : NamedItem, IAggregator {
 
@@ -33,5 +34,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected UpDownAggregator(bool deserializing) : base(deserializing) { }
+    protected UpDownAggregator(StorableConstructorFlag _) : base(_) { }
     protected UpDownAggregator(UpDownAggregator original, Cloner cloner) : base(original, cloner) {
       downWalkLengths = original.downWalkLengths.ToList();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs	(revision 16573)
@@ -27,8 +27,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
-  [StorableClass]
+  [StorableType("4156976F-4E61-48BA-B598-FEA872F2E948")]
   public class FitnessCloudAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -49,5 +50,5 @@
 
     [StorableConstructor]
-    protected FitnessCloudAnalyzer(bool deserializing) : base(deserializing) { }
+    protected FitnessCloudAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected FitnessCloudAnalyzer(FitnessCloudAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalysisCalculator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalysisCalculator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalysisCalculator.cs	(revision 16573)
@@ -6,8 +6,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
   [Item("InformationAnalysisCalculator", "Performs an information analysis on a quality trail as described in Vassilev et al. (2000) Evol Comput 8:31–60")]
-  [StorableClass]
+  [StorableType("20A6AC5F-6CD1-46B5-B025-0F8C58685918")]
   public class InformationAnalysisCalculator : SingleSuccessorOperator {
 
@@ -50,5 +51,5 @@
     #region Constructors & Cloning
     [StorableConstructor]
-    protected InformationAnalysisCalculator(bool deserializing) : base(deserializing) { }
+    protected InformationAnalysisCalculator(StorableConstructorFlag _) : base(_) { }
     public InformationAnalysisCalculator() {
       Parameters.Add(new LookupParameter<DataTable>("QualityTrail", "Historical quality trail of a walk over a fitness landscape."));
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs	(revision 16573)
@@ -30,8 +30,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
-  [StorableClass]
+  [StorableType("57803A7A-E1A7-4AD8-9F32-D97F5983ACBD")]
   public class InformationAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -119,5 +120,5 @@
 
     [StorableConstructor]
-    protected InformationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected InformationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalyzer(InformationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs	(revision 16573)
@@ -31,9 +31,10 @@
 using HeuristicLab.Optimization;
 using System.Collections.Generic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
   [Item("Neutrality Analzyer", "Analyzes neutral parts of a trajectory")]
-  [StorableClass]
+  [StorableType("FA1F7D1C-4567-49F2-A977-07AA50A11F50")]
   public class NeutralityAnalyzer : AlgorithmOperator, IAnalyzer {
     public bool EnabledByDefault {
@@ -84,5 +85,5 @@
 
     [StorableConstructor]
-    protected NeutralityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected NeutralityAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected NeutralityAnalyzer(NeutralityAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs	(revision 16573)
@@ -31,8 +31,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("QualityTrailAnalyzer", "An analyzer that creates a quality trail which can be further analyzed by several analyzers.")]
-  [StorableClass]
+  [StorableType("E02FC8FB-85AD-42AB-8E14-EA509579C8BE")]
   public class QualityTrailMultiAnalyzer : CheckedMultiOperator<IQualityTrailAnalyzer>, IAnalyzer {
     public bool EnabledByDefault {
@@ -75,5 +77,5 @@
 
     [StorableConstructor]
-    protected QualityTrailMultiAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QualityTrailMultiAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QualityTrailMultiAnalyzer(QualityTrailMultiAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs	(revision 16573)
@@ -30,8 +30,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
-  [StorableClass]
+  [StorableType("78C1D578-7752-45B4-9174-DF30D38A7E8A")]
   public class QualityTrailSummarizer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -53,5 +54,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected QualityTrailSummarizer(bool deserializing) : base(deserializing) { }
+    protected QualityTrailSummarizer(StorableConstructorFlag _) : base(_) { }
     protected QualityTrailSummarizer(QualityTrailSummarizer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RealVectorBoundingBoxUpdater.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RealVectorBoundingBoxUpdater.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RealVectorBoundingBoxUpdater.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
  
   [Item("RealVectorBoundingBoxUpdater", "Updates a bounding box using a real vector to be enclosed.")]
-  [StorableClass]
+  [StorableType("1EBAC56C-83F0-41C1-8E42-365E7187EA0D")]
   public class RealVectorBoundingBoxUpdater : SingleSuccessorOperator {
 
@@ -39,5 +40,5 @@
 
     [StorableConstructor]
-    protected RealVectorBoundingBoxUpdater(bool deserializing) : base(deserializing) { }
+    protected RealVectorBoundingBoxUpdater(StorableConstructorFlag _) : base(_) { }
     protected RealVectorBoundingBoxUpdater(RealVectorBoundingBoxUpdater original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RepeatAggregator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RepeatAggregator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RepeatAggregator.cs	(revision 16573)
@@ -9,9 +9,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
   [Item("RepeatAggregator", "Aggregates analysis results from repeated runs on the same starting point.")]
-  [StorableClass]
+  [StorableType("1AFD7B2D-E0AF-4E48-9633-4C17A70D323C")]
   public class RepeatAggregator : SingleSuccessorOperator {
 
@@ -24,5 +25,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RepeatAggregator(bool deserializing) : base(deserializing) { }
+    protected RepeatAggregator(StorableConstructorFlag _) : base(_) { }
     protected RepeatAggregator(RepeatAggregator original, Cloner cloner) : base(original, cloner) { }
     public RepeatAggregator() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs	(revision 16573)
@@ -29,8 +29,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
-  [StorableClass]
+  [StorableType("F018AA6C-B392-4D10-8817-D058D7678149")]
   public class RuggednessAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -60,5 +61,5 @@
 
     [StorableConstructor]
-    protected RuggednessAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RuggednessAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RuggednessAnalyzer(RuggednessAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessCalculator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessCalculator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessCalculator.cs	(revision 16573)
@@ -8,8 +8,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System.Collections.Generic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
   [Item("Ruggedness Calculator", "Calculates ruggedness descriptors froma given quality trail.")]
-  [StorableClass]
+  [StorableType("1739820A-DC44-4371-A912-E44C1DD46940")]
   public class RuggednessCalculator : SingleSuccessorOperator {
 
@@ -29,5 +30,5 @@
     #region Constructors & Cloning
     [StorableConstructor]
-    protected RuggednessCalculator(bool deserializing) : base(deserializing) { }
+    protected RuggednessCalculator(StorableConstructorFlag _) : base(_) { }
     protected RuggednessCalculator(RuggednessCalculator original, Cloner cloner) : base(original, cloner) { }
     public RuggednessCalculator() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs	(revision 16573)
@@ -31,8 +31,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.Analysis {
 
-  [StorableClass]
+  [StorableType("0D054A87-A040-4DC5-A722-0952EE96C924")]
   public class UpDownWalkAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -80,5 +81,5 @@
 
     [StorableConstructor]
-    protected UpDownWalkAnalyzer(bool deserializing) : base(deserializing) { }
+    protected UpDownWalkAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected UpDownWalkAnalyzer(UpDownWalkAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BestWorstSelector.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BestWorstSelector.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BestWorstSelector.cs	(revision 16573)
@@ -8,8 +8,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Selection;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("BestOrWorstSelector", "A selection operator that moves towards the next local optimum, when found reverses direction and so on.")]
-  [StorableClass]
+  [StorableType("79C66FA1-AF32-468D-9836-4B48BAC84316")]
   public class BestWorstSelector : SingleObjectiveSelector, ISingleObjectiveSelector {
 
@@ -29,5 +30,5 @@
 
     [StorableConstructor]
-    protected BestWorstSelector(bool deserializing) : base(deserializing) { }
+    protected BestWorstSelector(StorableConstructorFlag _) : base(_) { }
     protected BestWorstSelector(BestWorstSelector original, Cloner cloner) : base(original, cloner) { }
     public BestWorstSelector() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BitmapItem.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BitmapItem.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BitmapItem.cs	(revision 16573)
@@ -5,8 +5,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
 
-  [StorableClass]
+  [StorableType("58401951-FA4A-4D64-87DD-0B42DC00991F")]
   public class BitmapItem : Item {
 
@@ -33,5 +34,5 @@
 
     [StorableConstructor]
-    protected BitmapItem(bool deserializing) : base(deserializing) { }
+    protected BitmapItem(StorableConstructorFlag _) : base(_) { }
     protected BitmapItem(BitmapItem original, Cloner cloner) : base(original, cloner) {
       Image = (Bitmap)original.Image.Clone();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BoxChartCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BoxChartCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/BoxChartCreator.cs	(revision 16573)
@@ -13,9 +13,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
 
   [Item("Box Chart Creator", "Visualizes essential run information by creating an overview chart.")]
-  [StorableClass]
+  [StorableType("C6897D24-4E02-411E-B92D-43CC055D7C9C")]
   public class BoxChartCreator : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -58,5 +59,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected BoxChartCreator(bool deserializing) : base(deserializing) { }
+    protected BoxChartCreator(StorableConstructorFlag _) : base(_) { }
     protected BoxChartCreator(BoxChartCreator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs	(revision 16573)
@@ -9,9 +9,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common.Resources;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxChart {
 
   [Item("Color", "A color")]
-  [StorableClass]
+  [StorableType("E4C70605-7105-4ADC-90BC-A0C3994B061B")]
   public class ColorValue : NamedItem {
 
@@ -135,5 +136,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected ColorValue(bool deserializing) : base(deserializing) { }
+    protected ColorValue(StorableConstructorFlag _) : base(_) { }
     protected ColorValue(ColorValue original, Cloner cloner) : base (original, cloner) {
       h = original.h;
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/DiscreteValueBoxChartElementGenerator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/DiscreteValueBoxChartElementGenerator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/DiscreteValueBoxChartElementGenerator.cs	(revision 16573)
@@ -12,8 +12,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Analysis.FitnessLandscape.BoxChart;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
 
-  [StorableClass]
+  [StorableType("70DD55A7-03E3-495E-8D7A-1FA3FB0801B0")]
   public class DiscreteValueBoxChartElementGenerator : EmptyBoxChartElementGenerator {
 
@@ -39,5 +40,5 @@
 
     [StorableConstructor]
-    protected DiscreteValueBoxChartElementGenerator(bool deserializing) : base(deserializing) { }
+    protected DiscreteValueBoxChartElementGenerator(StorableConstructorFlag _) : base(_) { }
     protected DiscreteValueBoxChartElementGenerator(DiscreteValueBoxChartElementGenerator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/EmptyBoxChartElementGenerator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/EmptyBoxChartElementGenerator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/EmptyBoxChartElementGenerator.cs	(revision 16573)
@@ -11,8 +11,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
   
-  [StorableClass]
+  [StorableType("A3B05023-AFF2-4550-A78C-F0513F308316")]
   public class EmptyBoxChartElementGenerator : ParameterizedNamedItem, IBoxChartElementGenerator {
 
@@ -49,5 +50,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EmptyBoxChartElementGenerator(bool deserializing) : base(deserializing) { }
+    protected EmptyBoxChartElementGenerator(StorableConstructorFlag _) : base(_) { }
     protected EmptyBoxChartElementGenerator(EmptyBoxChartElementGenerator original, Cloner cloner) : base(original, cloner) {
       RegisterEvents();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ResultNamesCollector.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ResultNamesCollector.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ResultNamesCollector.cs	(revision 16573)
@@ -8,8 +8,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxChart {
   [Item("Result Names Collector", "Collects all occuring names of parameters and results in the currenly visible runs")]
-  [StorableClass]
+  [StorableType("90ADFC82-D508-4532-8F5E-690EB4F3F60F")]
   public class ResultNamesCollector : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -17,5 +18,5 @@
 
     [StorableConstructor]
-    protected ResultNamesCollector(bool deserializing) : base(deserializing) {}
+    protected ResultNamesCollector(StorableConstructorFlag _) : base(_) { }
 
     protected ResultNamesCollector(ResultNamesCollector original, Cloner cloner) : base(original, cloner) {}
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/RunCollectionMultiDiscretizer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/RunCollectionMultiDiscretizer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/RunCollectionMultiDiscretizer.cs	(revision 16573)
@@ -9,4 +9,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization.RunModification {
@@ -15,5 +16,5 @@
     "Creates several levels from the distribution of several results accross a run collection and " +
     "assigns a discretized value. Non-existing numbers as well as NaN and infinities are excluded from the caluclation.")]
-  [StorableClass]
+  [StorableType("74B90692-F3F2-4E0B-AA17-C3CDD710D009")]
   public class RunCollectionMultiDiscretizer : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -47,5 +48,5 @@
       #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionMultiDiscretizer(bool deserializing) : base(deserializing) { }
+    protected RunCollectionMultiDiscretizer(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionMultiDiscretizer(RunCollectionMultiDiscretizer original, Cloner cloner) : base(original, cloner) { }
     public RunCollectionMultiDiscretizer() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringConstantBoxChartElementGenerator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringConstantBoxChartElementGenerator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringConstantBoxChartElementGenerator.cs	(revision 16573)
@@ -11,8 +11,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
 
-  [StorableClass]
+  [StorableType("29AED0E8-1190-4DFC-92FC-0AC69FE4DBC1")]
   public class StringConstantBoxChartElementGenerator : EmptyBoxChartElementGenerator {
 
@@ -29,5 +30,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected StringConstantBoxChartElementGenerator(bool deserializing) : base(deserializing) { }
+    protected StringConstantBoxChartElementGenerator(StorableConstructorFlag _) : base(_) { }
     protected StringConstantBoxChartElementGenerator(StringConstantBoxChartElementGenerator original, Cloner cloner) : base(original, cloner) {
       RegisterEvents();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringValueBoxChartElementGenerator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringValueBoxChartElementGenerator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/StringValueBoxChartElementGenerator.cs	(revision 16573)
@@ -11,8 +11,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
 
-  [StorableClass]
+  [StorableType("E04F26F6-E8CF-4EF1-96AC-B3FFF38E4ACE")]
   public class StringValueBoxChartElementGenerator : EmptyBoxChartElementGenerator {
 
@@ -30,5 +31,5 @@
 
     [StorableConstructor]
-    protected StringValueBoxChartElementGenerator(bool deserializing) : base(deserializing) { }
+    protected StringValueBoxChartElementGenerator(StorableConstructorFlag _) : base(_) { }
     protected StringValueBoxChartElementGenerator(StringValueBoxChartElementGenerator original, Cloner cloner) : base(original, cloner) {
       RegisterEvents();
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/AutoCorrelationTable.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/AutoCorrelationTable.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/AutoCorrelationTable.cs	(revision 16573)
@@ -3,8 +3,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {
 
   [Item("AutoCorrelationTable", "DataTable that contains a series with the auto correlation function")]
-  [StorableClass]
+  [StorableType("FD034211-02CD-418F-B45C-D6C35F8C0651")]
   public class AutoCorrelationTable : DataTable {
 
@@ -12,5 +14,5 @@
 
     [StorableConstructor]
-    protected AutoCorrelationTable(bool deserializing) : base(deserializing) { }
+    protected AutoCorrelationTable(StorableConstructorFlag _) : base(_) { }
     protected AutoCorrelationTable(AutoCorrelationTable original, Cloner cloner) : base(original, cloner) { }
     public AutoCorrelationTable() : base() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationAnalysisTable.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationAnalysisTable.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationAnalysisTable.cs	(revision 16573)
@@ -3,8 +3,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {
 
   [Item("InformationAnalysisTable", "DataTable that contains series with results of an information analysis")]
-  [StorableClass]
+  [StorableType("6E9BB524-0ECA-4796-AB6D-4D6B4A083FB8")]
   public class InformationAnalysisTable : DataTable {
 
@@ -12,5 +14,5 @@
 
     [StorableConstructor]
-    protected InformationAnalysisTable(bool deserializing) : base(deserializing) { }
+    protected InformationAnalysisTable(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalysisTable(InformationAnalysisTable original, Cloner cloner) : base(original, cloner) { }
     public InformationAnalysisTable() : base() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationStabilityTable.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationStabilityTable.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/InformationStabilityTable.cs	(revision 16573)
@@ -3,8 +3,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {
 
   [Item("InformationStabiliyTable", "DataTable that contains a series with the development of information stability over time.")]
-  [StorableClass]
+  [StorableType("004EF230-DB82-413F-B6B0-8FB68C3901BB")]
   public class InformationStabilityTable : DataTable {
 
@@ -12,5 +14,5 @@
 
     [StorableConstructor]
-    protected InformationStabilityTable(bool deserializing) : base(deserializing) { }
+    protected InformationStabilityTable(StorableConstructorFlag _) : base(_) { }
     protected InformationStabilityTable(InformationStabilityTable original, Cloner cloner) : base(original, cloner) { }
     public InformationStabilityTable() : base() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/QualityTrailSummaryTable.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/QualityTrailSummaryTable.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DataTables/QualityTrailSummaryTable.cs	(revision 16573)
@@ -3,8 +3,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
+
 namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {
 
   [Item("QualityTrailSummaryTable", "DataTable that contains a compact description of the quality trail.")]
-  [StorableClass]
+  [StorableType("CF7B9594-9A6E-4756-987E-66019366586A")]
   public class QualityTrailSummaryTable : DataTable {
 
@@ -12,5 +14,5 @@
 
     [StorableConstructor]
-    protected QualityTrailSummaryTable(bool deserializing) : base(deserializing) { }
+    protected QualityTrailSummaryTable(StorableConstructorFlag _) : base(_) { }
     protected QualityTrailSummaryTable(QualityTrailSummaryTable original, Cloner cloner) : base(original, cloner) { }
     public QualityTrailSummaryTable() : base() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 16573)
@@ -9,9 +9,10 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using System.Drawing;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("BinaryVectorDistanceCalculator", "Calculates the hamming distance of two binary vectors")]
-  [StorableClass]
+  [StorableType("BB6A8FD8-22B1-41CC-B38D-C8C9A2B79C83")]
   public class BinaryVectorDistanceCalculator : NamedItem, IItemDistanceCalculator {
 
@@ -27,5 +28,5 @@
 
     [StorableConstructor]
-    protected BinaryVectorDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected BinaryVectorDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected BinaryVectorDistanceCalculator(BinaryVectorDistanceCalculator original, Cloner cloner)
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using System.Drawing;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("PermutationDistanceCalculator", "Calculates the distance of two permutations")]
-  [StorableClass]
+  [StorableType("F2B93749-3059-4D37-91A5-FAE2DC9DB794")]
   public class PermutationDistanceCalculator : NamedItem, IItemDistanceCalculator {
 
@@ -28,5 +29,5 @@
 
     [StorableConstructor]
-    protected PermutationDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected PermutationDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected PermutationDistanceCalculator(PermutationDistanceCalculator original, Cloner cloner)
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/RealVectorDistanceCalculator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/RealVectorDistanceCalculator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/RealVectorDistanceCalculator.cs	(revision 16573)
@@ -10,9 +10,10 @@
 using System.Drawing;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("RealVectorDistanceCalculator", "Calculates the Euclidian distance of two real vectors")]
-  [StorableClass]
+  [StorableType("26271DB0-0868-4363-84AE-46CF583276F0")]
   public class RealVectorDistanceCalculator: NamedItem, IItemDistanceCalculator {
 
@@ -28,5 +29,5 @@
 
     [StorableConstructor]
-    protected RealVectorDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected RealVectorDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected RealVectorDistanceCalculator(RealVectorDistanceCalculator original, Cloner cloner)
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/EngineAlgorithm/EngineAlgorithmOperator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/EngineAlgorithm/EngineAlgorithmOperator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/EngineAlgorithm/EngineAlgorithmOperator.cs	(revision 16573)
@@ -6,9 +6,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
 
   [Item("EngineAlgorithmOperator", "An operator the encapsulates a complete algorithm.")]
-  [StorableClass]
+  [StorableType("8BEF3D75-7DA3-4683-95C5-AF7B6AC0A810")]
   public class EngineAlgorithmOperator : AlgorithmOperator {
 
@@ -132,5 +133,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EngineAlgorithmOperator(bool deserializing) : base(deserializing) { }
+    protected EngineAlgorithmOperator(StorableConstructorFlag _) : base(_) { }
     protected EngineAlgorithmOperator(EngineAlgorithmOperator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Evolvability/EvolvabilityAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Evolvability/EvolvabilityAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Evolvability/EvolvabilityAnalyzer.cs	(revision 16573)
@@ -3,4 +3,5 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -15,33 +16,43 @@
 
   [Item("Evolvability Analyzer", "Compares two sets of scopes containing the original population and the evolved population generating several evolvability measures.")]
+  [StorableType("6B05CC43-161A-45C6-9B08-A4CC2235A96B")]
   public class EvolvabilityAnalyzer : AlgorithmOperator, IAnalyzer {
 
-    public bool EnabledByDefault {
+    public bool EnabledByDefault
+    {
       get { return false; }
     }
 
     #region Parameters
-    public LookupParameter<DoubleValue> QualityParameter {
+    public LookupParameter<DoubleValue> QualityParameter
+    {
       get { return (LookupParameter<DoubleValue>)Parameters["Quality"]; }
     }
-    public LookupParameter<IntValue> SampleSizeParameter {
+    public LookupParameter<IntValue> SampleSizeParameter
+    {
       get { return (LookupParameter<IntValue>)Parameters["SampleSize"]; }
     }
-    public LookupParameter<HeatMap> EvolvabilityPlotParameter {
+    public LookupParameter<HeatMap> EvolvabilityPlotParameter
+    {
       get { return (LookupParameter<HeatMap>)Parameters["EvolvabilityPlot"]; }
     }
-    public LookupParameter<VariableCollection> ResultsParameter {
+    public LookupParameter<VariableCollection> ResultsParameter
+    {
       get { return (LookupParameter<VariableCollection>)Parameters["Results"]; }
     }
-    public LookupParameter<ScatterPlot> FitnessCloudParameter {
+    public LookupParameter<ScatterPlot> FitnessCloudParameter
+    {
       get { return (LookupParameter<ScatterPlot>)Parameters["FitnessCloud"]; }
     }
-    public LookupParameter<DataTable> EvolvabilityPortraitParameter {
+    public LookupParameter<DataTable> EvolvabilityPortraitParameter
+    {
       get { return (LookupParameter<DataTable>)Parameters["EvolvabilityPortrait"]; }
     }
-    public ValueLookupParameter<IntValue> NrOfBinsParameter {
+    public ValueLookupParameter<IntValue> NrOfBinsParameter
+    {
       get { return (ValueLookupParameter<IntValue>)Parameters["NrOfBins"]; }
     }
-    public ScopeParameter ScopeParameter {
+    public ScopeParameter ScopeParameter
+    {
       get { return (ScopeParameter)Parameters["Scope"]; }
     }
@@ -69,5 +80,5 @@
 
     [StorableConstructor]
-    protected EvolvabilityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected EvolvabilityAnalyzer(StorableConstructorFlag _) : base(_) { }
 
     protected EvolvabilityAnalyzer(EvolvabilityAnalyzer original, Cloner cloner)
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Exhaustive/PermutationEnumerationManipulator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Exhaustive/PermutationEnumerationManipulator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Exhaustive/PermutationEnumerationManipulator.cs	(revision 16573)
@@ -27,9 +27,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("PermutationEnumerationManipulator", "An operator that generates the next permutation based on lexicographic ordering.")]
-  [StorableClass]
+  [StorableType("081A2A92-462E-4BA9-A643-D40F776BA14B")]
   public class PermutationEnumerationManipulator : PermutationManipulator {
 
@@ -39,5 +40,5 @@
 
     [StorableConstructor]
-    protected PermutationEnumerationManipulator(bool deserializing) : base(deserializing) { }
+    protected PermutationEnumerationManipulator(StorableConstructorFlag _) : base(_) { }
     protected PermutationEnumerationManipulator(PermutationEnumerationManipulator original, Cloner cloner) : base(original, cloner) { }
     public PermutationEnumerationManipulator() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16573)
@@ -28,9 +28,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("BinaryVectorFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for binary vector encoding")]
-  [StorableClass]
+  [StorableType("BE5474B1-9D8E-4AA0-9236-85C192712A96")]
   public class BinaryVectorFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IBinaryVectorOperator {
 
@@ -45,5 +46,5 @@
 
     [StorableConstructor]
-    protected BinaryVectorFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BinaryVectorFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected BinaryVectorFitnessDistanceCorrelationAnalyzer(BinaryVectorFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/FitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/FitnessDistanceCorrelationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/FitnessDistanceCorrelationAnalyzer.cs	(revision 16573)
@@ -31,8 +31,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
-  [StorableClass]
+  [StorableType("A603BC77-CAA7-468B-9206-500A196691E7")]
   public abstract class FitnessDistanceCorrelationAnalyzer : AlgorithmOperator, IAnalyzer {
     public bool EnabledByDefault {
@@ -53,5 +54,5 @@
 
     [StorableConstructor]
-    protected FitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected FitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected FitnessDistanceCorrelationAnalyzer(FitnessDistanceCorrelationAnalyzer original, Cloner cloner)
       : base(original, cloner) { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs	(revision 16573)
@@ -27,9 +27,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common.Resources;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("HeatMap", "A heat map of 2D data")]
-  [StorableClass]
+  [StorableType("F37D5082-48E9-495C-9489-F63C7C76E33A")]
   public class HeatMap : NamedItem {
 
@@ -73,5 +74,5 @@
 
     [StorableConstructor]
-    protected HeatMap(bool deserializing) : base(deserializing) { }
+    protected HeatMap(StorableConstructorFlag _) : base(_) { }
     protected HeatMap(HeatMap original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16573)
@@ -29,9 +29,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("PermutationFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for permutation encoding")]
-  [StorableClass]
+  [StorableType("2021A1AA-FE98-4D42-8730-23C5EA552B21")]
   public class PermutationFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IPermutationOperator {
 
@@ -46,5 +47,5 @@
 
     [StorableConstructor]
-    protected PermutationFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PermutationFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected PermutationFitnessDistanceCorrelationAnalyzer(PermutationFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16573)
@@ -28,9 +28,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("QAPPermutationFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for permutation encoding")]
-  [StorableClass]
+  [StorableType("31823F7B-55FB-4D57-80EE-89F4D90B6412")]
   public class QAPPermutationFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IPermutationOperator {
 
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected QAPPermutationFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QAPPermutationFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QAPPermutationFitnessDistanceCorrelationAnalyzer(QAPPermutationFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16573)
@@ -28,9 +28,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("RealVectorFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for real vector encoding")]
-  [StorableClass]
+  [StorableType("84EA2C55-F847-4CF9-B966-0E7B9DD8903C")]
   public class RealVectorFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IRealVectorOperator {
 
@@ -45,5 +46,5 @@
 
     [StorableConstructor]
-    protected RealVectorFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RealVectorFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RealVectorFitnessDistanceCorrelationAnalyzer(RealVectorFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs	(revision 16573)
@@ -28,4 +28,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common.Resources;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
@@ -39,5 +40,5 @@
 
   [Item("ScatterPlot", "A scatter plot of 2D data")]
-  [StorableClass]
+  [StorableType("317254F8-A1D9-4675-8292-5CDF078B53BD")]
   public class ScatterPlot : NamedItem {
 
@@ -121,5 +122,5 @@
 
     [StorableConstructor]
-    protected ScatterPlot(bool deserializing) : base(deserializing) { }
+    protected ScatterPlot(StorableConstructorFlag _) : base(_) { }
     protected ScatterPlot(ScatterPlot original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/HeuristicLab.Analysis.FitnessLandscape.csproj
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/HeuristicLab.Analysis.FitnessLandscape.csproj	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/HeuristicLab.Analysis.FitnessLandscape.csproj	(revision 16573)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Analysis.FitnessLandscape</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis.FitnessLandscape-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -95,4 +95,10 @@
       <HintPath>..\..\..\trunk\bin\ALGLIB-3.7.0.dll</HintPath>
     </Reference>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Analysis-3.3">
       <HintPath>..\..\..\trunk\bin\HeuristicLab.Analysis-3.3.dll</HintPath>
@@ -157,4 +163,7 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.IO.Compression" />
     <Reference Include="System.Windows.Forms" />
@@ -249,4 +258,5 @@
     <Compile Include="TestFunctions\CustomAdditiveMoveEvaluator.cs" />
     <Compile Include="TestFunctions\CustomEvaluator.cs" />
+    <None Include="packages.config" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/GridRealVectorsCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/GridRealVectorsCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/GridRealVectorsCreator.cs	(revision 16573)
@@ -30,9 +30,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("GridRealVectorsCreator", "An operator that creates solutions on a grid accross the whole solution space.")]
-  [StorableClass]
+  [StorableType("B6DB3FBB-C87A-484A-B967-5D934A7CAD75")]
   public sealed class GridRealVectorCreator : SingleSuccessorOperator {
 
@@ -78,5 +79,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    private GridRealVectorCreator(bool deserializing) : base(deserializing) { }
+    private GridRealVectorCreator(StorableConstructorFlag _) : base(_) { }
     private GridRealVectorCreator(GridRealVectorCreator original, Cloner cloner) : base(original, cloner) { }
     public GridRealVectorCreator()
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs	(revision 16573)
@@ -15,4 +15,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
@@ -20,5 +21,5 @@
   [Item("Multi Trajectory Analysis", "Host for performing and aggregating several algorithm runs for an overarching analysis.")]
   [Creatable("Analysis")]
-  [StorableClass]
+  [StorableType("DC98F804-66D9-44C2-9FC5-0FAB799D20A7")]
   public class MultiTrajectoryAnalysis : ParameterizedNamedItem, IAlgorithm, IStorableContent {
 
@@ -73,6 +74,5 @@
     #region Construction and Cloning
     [StorableConstructor]
-    protected MultiTrajectoryAnalysis(bool deserializing)
-      : base(deserializing) {
+    protected MultiTrajectoryAnalysis(StorableConstructorFlag _) : base(_) {
       RegisterEvents();
     }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedBinaryVectorCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedBinaryVectorCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedBinaryVectorCreator.cs	(revision 16573)
@@ -5,8 +5,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
 
-  [StorableClass]
+  [StorableType("FCB228DA-7A69-4987-BDBF-CE86027C09C5")]
   public class PreassignedBinaryVectorCreator : PreassignedSolutionCreator, IBinaryVectorCreator {
 
@@ -20,5 +21,5 @@
 
     [StorableConstructor]
-    protected PreassignedBinaryVectorCreator(bool deserializing) : base(deserializing) { }
+    protected PreassignedBinaryVectorCreator(StorableConstructorFlag _) : base(_) { }
     protected PreassignedBinaryVectorCreator(PreassignedBinaryVectorCreator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedPermutationCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedPermutationCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedPermutationCreator.cs	(revision 16573)
@@ -6,8 +6,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
 
-  [StorableClass]
+  [StorableType("4653B893-A98F-4FF4-A280-C402848F8A06")]
   public class PreassignePermutationCreator : PreassignedSolutionCreator, IPermutationCreator {
 
@@ -25,5 +26,5 @@
 
     [StorableConstructor]
-    protected PreassignePermutationCreator(bool deserializing) : base(deserializing) { }
+    protected PreassignePermutationCreator(StorableConstructorFlag _) : base(_) { }
     protected PreassignePermutationCreator(PreassignePermutationCreator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedRealVectorCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedRealVectorCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedRealVectorCreator.cs	(revision 16573)
@@ -5,8 +5,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
 
-  [StorableClass]
+  [StorableType("A690FC7E-A8B1-4CAB-AABD-18401330F01D")]
   public class PreassignedRealVectorCreator : PreassignedSolutionCreator, IRealVectorCreator {
 
@@ -22,5 +23,5 @@
 
     [StorableConstructor]
-    protected PreassignedRealVectorCreator(bool deserializing) : base(deserializing) { }
+    protected PreassignedRealVectorCreator(StorableConstructorFlag _) : base(_) { }
     protected PreassignedRealVectorCreator(PreassignedRealVectorCreator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedSolutionCreator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedSolutionCreator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/PreassignedSolutionCreator.cs	(revision 16573)
@@ -6,8 +6,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
 
-  [StorableClass]
+  [StorableType("1F8136F9-FBED-40F7-ACA3-E3D05F623A28")]
   public abstract class PreassignedSolutionCreator : SingleSuccessorOperator, ISolutionCreator {
 
@@ -40,5 +41,5 @@
 
     [StorableConstructor]
-    protected PreassignedSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected PreassignedSolutionCreator(StorableConstructorFlag _) : base(_) { }
 
     protected PreassignedSolutionCreator(PreassignedSolutionCreator original, Cloner cloner)
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/NeutralSelector.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/NeutralSelector.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/NeutralSelector.cs	(revision 16573)
@@ -11,8 +11,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("NeutralSelector", "A selection operator that explores neutral areas.")]
-  [StorableClass]
+  [StorableType("36A053AF-DA26-4878-ADA3-E61CD200D753")]
   public class NeutralSelector : SingleSuccessorOperator, ISingleObjectiveSelector {
 
@@ -96,5 +97,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected NeutralSelector(bool deserializing) : base(deserializing) { }
+    protected NeutralSelector(StorableConstructorFlag _) : base(_) { }
     protected NeutralSelector(NeutralSelector original, Cloner cloner) : base(original, cloner) { }
     public NeutralSelector() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/PopDist/PopulationDistributionAnalyzer.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/PopDist/PopulationDistributionAnalyzer.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/PopDist/PopulationDistributionAnalyzer.cs	(revision 16573)
@@ -31,9 +31,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("PopulationDistributionAnalyzer", "An operator that analyzes the distribution of fitness values")]
-  [StorableClass]
+  [StorableType("B2AD2ACD-FCEA-4D05-856B-63D88F521642")]
   public class PopulationDistributionAnalyzer : AlgorithmOperator, IAnalyzer {
     public bool EnabledByDefault {
@@ -72,5 +73,5 @@
 
     [StorableConstructor]
-    protected PopulationDistributionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PopulationDistributionAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected PopulationDistributionAnalyzer(PopulationDistributionAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/ScopePathLookupParameter.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/ScopePathLookupParameter.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/ScopePathLookupParameter.cs	(revision 16573)
@@ -4,9 +4,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Parameters {
 
   [Item("ScopePathLookupParameter", "Start parameter lookup after freely navigating the scope tree using a path string.")]
-  [StorableClass]
+  [StorableType("3E5F3D67-61FD-427C-A822-6C623C0AA3DA")]
   public class ScopePathLookupParameter<T> : LookupParameter<T>, ILookupParameter<T> where T : class, IItem {
 
@@ -35,5 +36,5 @@
 
     [StorableConstructor]
-    protected ScopePathLookupParameter(bool deserializing) : base(deserializing) { }
+    protected ScopePathLookupParameter(StorableConstructorFlag _) : base(_) { }
     protected ScopePathLookupParameter(ScopePathLookupParameter<T> original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomAdditiveMoveEvaluator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomAdditiveMoveEvaluator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomAdditiveMoveEvaluator.cs	(revision 16573)
@@ -28,8 +28,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.TestFunctions.Evaluators;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.TestFunctions {
   [Item("CustomAdditiveMoveEvaluator", "Class for evaluating an additive move on a custom test function.")]
-  [StorableClass]
+  [StorableType("F50ACE87-C3E0-42BA-B70C-57EEEEF2DF42")]
   public class CustomAdditiveMoveEvaluator : AdditiveMoveEvaluator {
     public LookupParameter<ISingleObjectiveTestFunctionProblemEvaluator> EvaluatorParameter {
@@ -38,5 +39,5 @@
 
     [StorableConstructor]
-    protected CustomAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected CustomAdditiveMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected CustomAdditiveMoveEvaluator(CustomAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public CustomAdditiveMoveEvaluator() {
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomEvaluator.cs
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomEvaluator.cs	(revision 16570)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/TestFunctions/CustomEvaluator.cs	(revision 16573)
@@ -26,8 +26,9 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.TestFunctions.Evaluators {
   [Item("CustomEvaluator", "Evaluates a custom test fuction.")]
-  [StorableClass]
+  [StorableType("75C946CC-11DA-4B26-9242-38EB7A40A844")]
   public class CustomEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
 
@@ -37,5 +38,5 @@
 
     [StorableConstructor]
-    protected CustomEvaluator(bool deserializing) : base(deserializing) { }
+    protected CustomEvaluator(StorableConstructorFlag _) : base(_) { }
     protected CustomEvaluator(CustomEvaluator original, Cloner cloner) : base(original, cloner) { }
     public CustomEvaluator() { }
Index: addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/packages.config
===================================================================
--- addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/packages.config	(revision 16573)
+++ addons/HeuristicLab.FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/packages.config	(revision 16573)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
